/*
International Telephone Input
version: v18.1.8
description: A jQuery plugin for entering international telephone numbers
repository: https://github.com/jackocnr/intl-tel-input.git
license: MIT
author: Jack O'Connor (http://jackocnr.com)
*/

/* Do not remove commented code below, these are the configurable options for telephone input
   Detailed uses if this javaScript is explained in the configure_otp_over_sms.inc file for $form['miniorange_phone']
*/

(function($) {
  $(document).ready(
      function() {
        var input = document.querySelector("#query_phone");
        window.intlTelInput(input, {
          autoInsertDialCode: true,
          geoIpLookup: function(callback) {
            fetch("https://ipapi.co/json")
              .then(function(res) { return res.json(); })
              .then(function(data) { callback(data.country_code); })
              .catch(function() { callback("us"); });
          },
          customPlaceholder: function(selectedCountryPlaceholder, selectedCountryData) {
            return "Enter your phone number";
          },
          hiddenInput: "full",
          initialCountry: "auto",
          preferredCountries: ['us', 'in', 'au', 'gb'],
          separateDialCode: true,
          utilsScript: "utils.js"
          // allowDropdown: false,
          // autoPlaceholder: "off",
          // dropdownContainer: document.body,
          // excludeCountries: ["us"],
          // formatOnDisplay: false,
          // localizedCountries: { 'de': 'Deutschland' },
          // nationalMode: false,
          // onlyCountries: ['us', 'gb', 'ch', 'ca', 'do'],
          // placeholderNumberType: "MOBILE",
          // showFlags: false,

        });
       });

}(jQuery));


